Lists all the messages in a private channel.
Changelog
| Version | Description |
|---|---|
| 9.0.0 | Removed the query parameter. |
| 7.0.0 | Added mentionIds, starredIds, pinned query parameters. |
| 0.59.0 | Added |
The authToken of the authenticated user.
The userId of the authenticated user.
The room ID. It is required if the roomName is not provided.
The room name. It is required if the roomId is not provided.
List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the official documentation to learn more.
Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the official documentation to learn more.
Filter the messages where a user has been mentioned by the userId. For a set of userIds, use an array (["838ndhd79w", "dud0wu900"]).
Filter the messages a user have starred by userId. For a set of userIds, use an array (["838ndhd79w", "dud0wu900"]).
Filter pinned messages.
OK
{
"messages": [
{
"_id": "CeXwh5eBbdrtvnqG6",
"rid": "agh2Sucgb54RQ8dDo",
"msg": "s",
"ts": "2018-10-05T13:48:21.616Z",
"u": {
"_id": "KPkEYwKKBKZnEEPpt",
"username": "marc.pow",
"name": "Marc Pow"
},
"_updatedAt": "2018-10-05T13:48:49.535Z",
"reactions": {
":frowning2:": {
"usernames": [
"marcos.defendi"
]
}
},
"mentions": [],
"channels": [],
"starred": {
"_id": "KPkEYwKKBKZnEEPpt"
}
},
{
"_id": "MrAeupRiF9TvhMesK",
"t": "room_changed_privacy",
"rid": "agh2Sucgb54RQ8dDo",
"ts": "2018-10-05T00:11:16.998Z",
"msg": "Private Group",
"u": {
"_id": "rocketchat.internal.admin.test",
"username": "rocketchat.internal.admin.test"
},
"groupable": false,
"_updatedAt": "2018-10-05T00:11:16.998Z"
}
],
"count": 2,
"offset": 0,
"total": 2,
"success": true
}Bad Request
{
"success": false,
"error": "must have required property 'roomId'\n must have required property 'roomName'\n must match exactly one schema in oneOf [error-invalid-params]",
"errorType": "error-invalid-params"
}Unauthorized
{
"success": false,
"error": "You must be logged in to do this."
}